=== packaging/debian/changelog ===
ansible (%VERSION%-%RELEASE%~%DIST%) %DIST%; urgency=low

  * %VERSION% release

 -- Ansible, Inc. <support@ansible.com>  %DATE%

ansible (1.9.1) unstable; urgency=low

  * 1.9.1

 -- Ansible, Inc. <support@ansible.com>  Mon, 27 Apr 2015 17:00:00 -0500

ansible (1.9.0.1) unstable; urgency=low

  * 1.9.0.1

 -- Ansible, Inc. <support@ansible.com>  Wed, 25 Mar 2015 15:00:00 -0500

ansible (1.8.4) unstable; urgency=low

  * 1.8.4

 -- Ansible, Inc. <support@ansible.com>  Thu, 19 Feb 2015 12:00:00 -0500

ansible (1.8.3) unstable; urgency=low

  * 1.8.3

 -- Ansible, Inc. <support@ansible.com>  Tue, 17 Feb 2015 16:00:00 -0500

ansible (1.8.2) unstable; urgency=low

  * 1.8.2

 -- Michael DeHaan <michael@ansible.com>  Thu, 04 Dec 2014 17:00:00 -0500

ansible (1.8.1) unstable; urgency=low

  * 1.8.1

 -- Michael DeHaan <michael@ansible.com>  Wed, 26 Nov 2014 23:00:00 -0500

ansible (1.8.0) unstable; urgency=low

  * 1.8.0

 -- Michael DeHaan <michael@ansible.com>  Tue, 25 Nov 2014 17:00:00 -0500

ansible (1.7.2) unstable; urgency=low

  * 1.7.2 release

 -- Michael DeHaan <michael@ansible.com>  Wed, 24 Sep 2014 15:00:00 -0500

ansible (1.7.1) unstable; urgency=low

  * 1.7.1 release

 -- Michael DeHaan <michael@ansible.com>  Thu, 14 Oct 2014 17:00:00 -0500

ansible (1.7) unstable; urgency=low

  * 1.7.0 release

 -- Michael DeHaan <michael@ansible.com>  Wed, 06 Aug 2014 15:00:00 -0500

ansible (1.6.10) unstable; urgency=low

  * 1.6.10 release

 -- Michael DeHaan <michael@ansible.com>  Fri, 25 Jul 2014 13:00:00 -0500

ansible (1.6.9) unstable; urgency=low

  * 1.6.9 release

 -- Michael DeHaan <michael@ansible.com>  Thu, 24 Jul 2014 23:30:00 -0500

ansible (1.6.8) unstable; urgency=low

  * 1.6.8 release

 -- Michael DeHaan <michael@ansible.com>  Tue, 22 Jul 2014 17:30:00 -0500

ansible (1.6.7) unstable; urgency=low

  * 1.6.7 release

 -- Michael DeHaan <michael@ansible.com>  Mon, 21 Jul 2014 12:30:00 -0500

ansible (1.6.6) unstable; urgency=low

  * 1.6.6 release

 -- Michael DeHaan <michael@ansible.com>  Tue, 01 Jul 2014 15:30:00 -0500

ansible (1.6.5) unstable; urgency=low

  * 1.6.5 release

 -- Michael DeHaan <michael@ansible.com>  Wed, 25 Jun 2014 22:30:00 -0500

ansible (1.6.4) unstable; urgency=low

  * 1.6.4 release

 -- Michael DeHaan <michael@ansible.com>  Wed, 25 Jun 2014 17:30:00 -0500

ansible (1.6.3) unstable; urgency=low

  * 1.6.3 release

 -- Michael DeHaan <michael@ansible.com>  Mon, 09 Jun 2014 16:30:00 -0500

ansible (1.6.2) unstable; urgency=low

  * 1.6.2 release

 -- Michael DeHaan <michael@ansible.com>  Fri, 23 May 2014 17:30:00 -0500

ansible (1.6.1) unstable; urgency=low

  * 1.6.1 release

 -- Michael DeHaan <michael@ansible.com>  Wed, 07 May 2014 13:30:00 -0500

ansible (1.6) unstable; urgency=low

  * 1.6.0 release

 -- Michael DeHaan <michael@ansible.com>  Mon, 05 May 2014 17:30:03 -0500

ansible (1.5.5) unstable; urgency=low

  * 1.5.5 release

 -- Michael DeHaan <michael@ansible.com>  Fri, 18 April 2014 15:00:00 -0500

ansible (1.5.4) unstable; urgency=low

  * 1.5.4 release

 -- Michael DeHaan <michael@ansible.com>  Tue, 01 April 2014 08:46:00 -0500

ansible (1.5.3) unstable; urgency=low

  * 1.5.3 release

 -- Michael DeHaan <michael@ansible.com>  Thu, 13 March 2014 08:46:00 -0500

ansible (1.5.2) unstable; urgency=low

  * 1.5.2 release

 -- Michael DeHaan <michael@ansible.com>  Tue, 11 March 2014 08:46:00 -0500

ansible (1.5.1) unstable; urgency=low

  * 1.5.1 release

 -- Michael DeHaan <michael@ansible.com>  Mon, 10 March 2014 17:33:44 -0500

ansible (1.5) unstable; urgency=low

  * 1.5 release

 -- Michael DeHaan <michael@ansible.com>  Fri, 28 February 2014 00:00:00 -0500

ansible (1.4.5) unstable; urgency=low

  * 1.4.5 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Wed, 12 February 2014 15:23:11 -0500

ansible (1.4.4) unstable; urgency=low

  * 1.4.4 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Mon, 06 January 2014 10:30:34 -0500

ansible (1.4.3) unstable; urgency=low

  * 1.4.3 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Fri, 20 December 2013 13:19:01 -0500

ansible (1.4.2) unstable; urgency=low

  * 1.4.2 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Wed, 18 December 2013 19:00:00 -0500

ansible (1.4.1) unstable; urgency=low

  * 1.4.1 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Wed, 27 November 2013 15:00:01 -0500

ansible (1.4) unstable; urgency=low

  * 1.4 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Thu, 21 November 2013 15:00:01 -0500

ansible (1.3) unstable; urgency=low

  * 1.3 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Fri, 13 September 2013 18:00:00 -0500

ansible (1.2.2) unstable; urgency=low

  * 1.2.2 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Thu, 04 July 2013 21:45:01 -0500

ansible (1.2.1) unstable; urgency=low

  * 1.2.1 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Thu, 04 July 2013 21:45:00 -0500

ansible (1.2) unstable; urgency=low

  * 1.2 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Mon, 10 June 2013 15:00:00 -0500

ansible (1.1) unstable; urgency=low

  * 1.1 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Tue, 02 Mar 2013 20:38:00 -0500

ansible (1.0) unstable; urgency=low

  * 1.0 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Fri, 01 Feb 2013 21:34:34 -0500

ansible (0.9) unstable; urgency=low

  * 0.9 release

 -- Michael DeHaan <michael.dehaan@gmail.com>  Fri, 30 Nov 2012 22:00:00 -0400

ansible (0.8) unstable; urgency=low

  * 0.8 update

 -- Michael DeHaan <michael.dehaan@gmail.com>  Fri, 19 Oct 2012 20:50:00 -0400

ansible (0.7) unstable; urgency=low

  * 0.7 update

 -- Michael DeHaan <michael.dehaan@gmail.com>  Thu, 06 Aug 2012 18:50:00 -0400

ansible (0.6) unstable; urgency=low

  * 0.6 update

 -- Michael DeHaan <michael.dehaan@gmail.com>  Mon, 06 Aug 2012 19:50:00 -0400

ansible (0.5) unstable; urgency=low

  * 0.5 update


